## org.codehaus.groovy.control
Interface HasCleanup

All Known Subinterfaces:
  ReaderSource

All Known Implementing Classes:
  AbstractReaderSource, FileReaderSource, InputStreamReaderSource, Janitor, StringReaderSource, URLReaderSource

    public interface HasCleanup

An interface for things that need to be cleaned up after operations complete.

Version:
  $Id: HasCleanup.java 10601 2008-01-25 01:11:39Z blackdrag $
Author:
  Chris Poirier

Method Summary
`void` `cleanup()`

Method Detail

### cleanup

    void cleanup()

Copyright © 2003-2008 The Codehaus. All rights reserved.